require_relative 'lib/notion_api/version'

Gem::Specification.new do |spec|
  spec.name          = "notion_api"
  spec.version       = NotionApi::VERSION
  spec.authors       = ["Igor Stangrit"]
  spec.email         = ["i.stangrit@gmail.com"]

  spec.summary       = %q{SDK for Notion.so API}
  spec.homepage      = "http://iasoft.pp.ua/"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "http://github.com/stangrit/notion_api"
  spec.metadata["changelog_uri"] = "http://github.com/stangrit/notion_api"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
